import type { CapacitorConfig } from '@capacitor/cli';

const config: CapacitorConfig = {
  appId: 'io.ionic.starter',
  appName: 'nova-live',
  webDir: 'www',
  android: {
    buildOptions: {
      releaseType: 'APK',
      keystorePath: './my-release-key.keystore',
      keystorePassword: '12345678',
      keystoreAlias: 'my-key-alias',
      keystoreAliasPassword: '12345678'
    }
  },
  cordova: {
    preferences: {
      ScrollEnabled: 'false',
      BackupWebStorage: 'none',
      SplashMaintainAspectRatio: 'true',
      FadeSplashScreenDuration: '300',
      SplashShowOnlyFirstTime: 'false',
      SplashScreen: 'screen',
      SplashScreenDelay: '3000'
    }
  }
};

export default config;
